curl -X GET "https://config.gms.ensync.cloud/v1/access-key/ensk_prod_xxxxx/permissions" \
-H "X-API-KEY: your-api-key"
{
"id": 1,
"name": "Production Key",
"key": "ensk_prod_xxxxx",
"type": "SERVICE",
"permissions": {
"send": ["order/*", "inventory/*"],
"receive": ["payment/*"],
"resources": {}
},
"createdAt": "2024-01-15T10:30:00Z"
}
Access Keys
Get Access Key Permissions
Retrieves permissions for a specific access key
GET
/
access-key
/
{accessKey}
/
permissions
curl -X GET "https://config.gms.ensync.cloud/v1/access-key/ensk_prod_xxxxx/permissions" \
-H "X-API-KEY: your-api-key"
{
"id": 1,
"name": "Production Key",
"key": "ensk_prod_xxxxx",
"type": "SERVICE",
"permissions": {
"send": ["order/*", "inventory/*"],
"receive": ["payment/*"],
"resources": {}
},
"createdAt": "2024-01-15T10:30:00Z"
}
Path Parameters
string
required
The access key to retrieve permissions for
Response
integer
Access key ID
string
Access key name
string
The access key value
string
Key type:
ACCOUNT or SERVICEobject
string
Creation timestamp
curl -X GET "https://config.gms.ensync.cloud/v1/access-key/ensk_prod_xxxxx/permissions" \
-H "X-API-KEY: your-api-key"
{
"id": 1,
"name": "Production Key",
"key": "ensk_prod_xxxxx",
"type": "SERVICE",
"permissions": {
"send": ["order/*", "inventory/*"],
"receive": ["payment/*"],
"resources": {}
},
"createdAt": "2024-01-15T10:30:00Z"
}